API الوثائق
Save Assistant Lead
post
/api/v1/chat/leadsCreates a chat session and sales lead from the marketing contact form. Sends a confirmation email with a demo booking link when contact details are provided.
Chat
نص الطلب
{
"firstName": "Alex",
"lastName": "Morgan",
"email": "alex@example.com",
"phone": "+447700900123",
"countryCode": "GB",
"country": "GB",
"company": "Example",
"vertical": "Example",
"topic": "Example",
"locale": "Example",
"pageUrl": "Example",
"referrer": "Example",
"turnstileToken": "Example",
"marketingConsent": true,
"source": "Example"
}استجابات
- 200Success
- 400Bad Requestapplication/json
{ "type": "Deposit", "title": "Example", "status": 1, "detail": "The request could not be completed. Check the values and try again.", "instance": "Example" } - 429Client Errorapplication/json
{ "type": "Deposit", "title": "Example", "status": 1, "detail": "The request could not be completed. Check the values and try again.", "instance": "Example" } - 503Server Error